# mt940.parser module

## Format

Sources:

> - Swift for corporates

> - Rabobank MT940

    [] = optional
    ! = fixed length
    a = Text
    x = Alphanumeric, seems more like text actually. Can include special
        characters (slashes) and whitespace as well as letters and numbers
    d = Numeric separated by decimal (usually comma)
    c = Code list value
    n = Numeric

mt940.parser.parse(src, encoding=None, processors=None, tags=None)

  Parses mt940 data and returns transactions object

  Parameters:

    src – file handler to read, filename to read or raw data as string

  Returns:

    Collection of transactions

  Return type:

    Transactions